- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QProxyModel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qproxymodel.h.

`#include <qproxymodel.h>`

Inheritance diagram for QProxyModel:
[legend]

List of all members.

## Public Member Functions
| QProxyModel (QObject *parent=0)
| ~QProxyModel ()
virtual void | setModel (QAbstractItemModel *model)
QAbstractItemModel * | model () const
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const
QModelIndex | parent (const QModelIndex &child) const
int | rowCount (const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent=QModelIndex()) const
bool | hasChildren (const QModelIndex &parent=QModelIndex()) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
bool | setHeaderData (int section, Qt::Orientation orientation, const QVariant &value, int role=Qt::EditRole)
QStringList | mimeTypes () const
QMimeData * | mimeData (const QModelIndexList &indexes) const
bool | dropMimeData (const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &parent)
Qt::DropActions | supportedDropActions () const
bool | insertRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | insertColumns (int column, int count, const QModelIndex &parent=QModelIndex())
void | fetchMore (const QModelIndex &parent)
Qt::ItemFlags | flags (const QModelIndex &index) const
void | sort (int column, Qt::SortOrder order=Qt::AscendingOrder)
QModelIndexList | match (const QModelIndex &start, int role, const QVariant &value, int hits=1, Qt::MatchFlags flags=Qt::MatchFlags(Qt::MatchStartsWith|Qt::MatchWrap)) const
QSize | span (const QModelIndex &index) const
bool | submit ()
void | revert ()
## Protected Member Functions
| QProxyModel (QProxyModelPrivate &, QObject *parent=0)
QModelIndex | setProxyModel (const QModelIndex &source_index) const
QModelIndex | setSourceModel (const QModelIndex &proxy_index) const
void | connectToModel (const QAbstractItemModel *model) const
void | disconnectFromModel (const QAbstractItemModel *model) const

## Constructor & Destructor Documentation

QProxyModel | ( | QObject * | parent = `0` | ) | `[explicit]`

~QProxyModel | ( |  | ) |

QProxyModel | ( | QProxyModelPrivate & | ,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual void setModel | ( | QAbstractItemModel * | model | ) | `[virtual]`

Search for all occurrences

QAbstractItemModel* model | ( |  | ) | const

Search for all occurrences

QModelIndex index | ( | int | row,
|  | int | column,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

QModelIndex parent | ( | const QModelIndex & | child | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

int rowCount | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

int columnCount | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

bool hasChildren | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QVariant data | ( | const QModelIndex & | index,
|  | int | role = `Qt::DisplayRole`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

bool setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QVariant headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = `Qt::DisplayRole`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool setHeaderData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QStringList mimeTypes | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QMimeData* mimeData | ( | const QModelIndexList & | indexes | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool dropMimeData | ( | const QMimeData * | data,
|  | Qt::DropAction | action,
|  | int | row,
|  | int | column,
|  | const QModelIndex & | parent
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Qt::DropActions supportedDropActions | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool insertRows | ( | int | row,
|  | int | count,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool insertColumns | ( | int | column,
|  | int | count,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

void fetchMore | ( | const QModelIndex & | parent | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Qt::ItemFlags flags | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

void sort | ( | int | column,
|  | Qt::SortOrder | order = `Qt::AscendingOrder`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QModelIndexList match | ( | const QModelIndex & | start,
|  | int | role,
|  | const QVariant & | value,
|  | int | hits = `1`,
|  | Qt::MatchFlags | flags = `Qt::MatchFlags(Qt::MatchStartsWith|Qt::MatchWrap)`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QSize span | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool submit | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

void revert | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QModelIndex setProxyModel | ( | const QModelIndex & | source_index | ) | const `[protected]`

Search for all occurrences

QModelIndex setSourceModel | ( | const QModelIndex & | proxy_index | ) | const `[protected]`

Search for all occurrences

void connectToModel | ( | const QAbstractItemModel * | model | ) | const `[protected]`

Search for all occurrences

void disconnectFromModel | ( | const QAbstractItemModel * | model | ) | const `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qproxymodel.h

QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel
QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel QProxyModel